/*
 * melody.h
 *
 * Created: 16.02.2016 17:21:33
 *  Author: Martin Danek
 */ 


#ifndef MELODY_H_
#define MELODY_H_
void playTone(int tone, int duration) {
	for (long i = 0; i < duration * 1000L; i += tone * 2) {
		SPK_ON;
		for (int j = 0; j < tone; j = j + 50)
		{
			_delay_us(50);
		}
		SPK_OFF;
		for (int j = 0; j < tone; j = j + 50)
		{
			_delay_us(50);
		}
	}
}



void melodyStart(void)
{
	playTone(2000, 100);
	playTone(1500, 100);
	playTone(1000, 100);
	playTone(500, 75);

}

void melodyFire(void)
{
	playTone(750, 100);
	playTone(500, 50);

}

void melodyHit(void)
{
	playTone(2500, 400);
	playTone(3500, 400);
	playTone(4500, 400);
	playTone(8000, 800);
}

void melodyInvalid(void)
{
	playTone(750, 200);
	_delay_ms(200);
	playTone(750, 200);
}




#endif /* MELODY_H_ */
